function determiner_index_courant ( nom_fichier ) {
	/* détermine l'index de la ligne dont le timecode
	correspond à l'instant courant */

	// on vérifie d'abord qu'on a bien
	// obtenu un nom de fichier en premier paramètre
	if ( typeof nom_fichier !== 'string' ) {
		// si ce n'est pas le cas on renvoie une erreur.
		throw 'Le premier paramètre doit être un nom de fichier';

	// si c'est bon on teste si le fichier existe
	} else {
		// une erreur sera renvoyée si le fichier n'est pas trouvé
		// interrompant les opérations
		footage( nom_fichier );
	}

	// on créé une variable pour stocker le résultat trouvé
	var resultat = 0;

	// on parcours les lignes du tableau une à une
	for ( var i = 0; i < nb_lignes_tableur( nom_fichier ) ; i++ ) {
		// si le timecode converti est inférieur au timecode de la composition
		// alors c'est à ce point la ligne la plus adaptée
		// en attendant de regarder la prochaine ligne
		if ( conversion( footage( nom_fichier ).dataValue([ 0, i ]) ) < time ) {
			resultat = i;
		// sinon, on a déjà trouvé à l'itération précédente,
		// nulle besoin d'aller plus loin
		} else {
			// on arrête donc la boucle
			break;
		}
	}
	// on retourne le résultat trouvé
	return resultat;
}
